<?php
namespace Magento\PaymentServicesPaypal\Model\Adminhtml\Source\PaypalMerchant;

/**
 * Interceptor class for @see \Magento\PaymentServicesPaypal\Model\Adminhtml\Source\PaypalMerchant
 */
class Interceptor extends \Magento\PaymentServicesPaypal\Model\Adminhtml\Source\PaypalMerchant implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\PaymentServicesPaypal\Model\PaypalMerchantResolver $paypalMerchantResolver, \Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($paypalMerchantResolver, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
